Subject: Daylily Sale
From: [email-masked] (Carla St. John)
Date: Wed, 31 May 95 20:07:59 GMT
Newsgroups: triangle.gardens

Holly Hill Farm is having its 4th Annual Daylily Festival and Perennial
Fair (Sale) Sat. and Sun during June and the first weekend in July.  Hours
are 7:30am to 5:30 pm. 

There are 3 acres of daylilies (quite lovely to see and a good selection). 
The plants look excellent and price wise you always do better than in the
catalogues. 

Suggest that you bring a hat and sun screen.  (I enjoy it best in the a.m.
before it gets to hot). 

Holly Hill is located in Moncure, NC.  It's a nice ride from Durham we
usually take 40 to 751.  The farm is between Apex and Sanford just off Old
US 1 between the Haw River and the Deep River.  Signs will direct you from
Old US 1 to the Farm. You can call (919)542-4919 if you need further
directions or let me know and I will try to get someone to post.